* {
  box-sizing: border-box;
}

body {
  margin: 0;
}

/* Nav Style Start */

header {
  display: flex;
  background-color: #202020;
  height: 60px;
  /* text-align: center; */
  position: fixed;
  width: 100%;
  z-index: 999;
}

.before-footer {
  margin-bottom: 75px;
}

footer { 
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%; 
  height: 3rem;
  position: fixed; 
  left: 0; 
  bottom: 0; 
  padding: 15px 15px;
  background-color: #202020; 
  color: #AAAAAA;
}

footer span {
  font-size: .8rem;

}
.nav svg {
  margin-right: 1rem;
}

.active{
  color: #FCE606; 
}

.active svg {
  color: #FCE606; 
}

.toggler {
  display: none;
}

#closeMenu {
  display: none;
}

.logo {
  display: flex;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 30px;
  width: 30px;
  margin-left: 15px;
  cursor: pointer;

}

nav ul {
  display: block;
  position: fixed;
  bottom: -60px;
  width: 100%;
  height: 100vh;
  padding: 30px 16px;
  background: #202020;
  left: -100%;
  transition: all .5s;
  list-style: none;
}

nav li {
  margin-bottom: 20px;
  /* border-bottom: 1px solid #FCE606; */
  /* margin-left: px; */
}

nav a {

  display: block;
  color: white;
  text-decoration: none;
  font-size: 1rem;
  padding: 7px 5px;
  
}

nav a:hover {
  color: #FCE606;
  transition: ease-in .1s;
}

nav a:hover .iconsize-10 {
  color: #FCE606;
  transition: ease-in .1s;
}

.toggler:checked ~ nav ul {
  left: 0;
}

.burger {
  position: absolute;
  cursor: pointer;
  padding: 10px;
  font-size: 1.5rem;
  color: white;
  top: 0;
  right: 0;
  margin-right: 15px;
  height: 100%;
  display: flex;
  align-items: center;
}

.toggler:checked ~ nav a {
  opacity: 1;
}


/* Desktop Screen Format */

@media only screen and (min-width: 854px) {

  .burger {
    display: none;
  }

  header {
    display: grid;
    grid-template-columns: 1fr auto minmax(700px, 3fr);
    position: relative;
    height: 70px;
  }

  footer { 
    padding: 20px 30px;
  }

  .logo {
    display: flex;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 30px;
    width: 30px;
    margin-left: 30px;

  }

  nav {
    
    display: flex;
    grid-column: 3/4;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    all: unset;
    list-style: none;
    display: flex;
    margin: 0 30px;
  }

  nav li {
    margin-bottom: 0;
    margin-right: 0px;
    
  }

  nav a {
    opacity: 1;
    padding: 10px 20px;

  }

}

/* Tablets Screen Format */

@media screen and (min-width: 600px) {

  header {
    display: grid;
    grid-template-columns: 1fr auto minmax(700px, 3fr);
    position: relative;
    height: 70px;
  }

  footer { 
    padding: 20px 20px;
  }
  
  .logo {
    display: flex;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 30px;
    width: 30px;
    margin-left: 30px;

  }

  .nav a {
    padding: 10px 15px;

  }

}
